<?php
$target = 'nombre';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/usuarios.php");
include("logos.php");
include("lib/class_zip.php");
include("lib/pclzip.lib.php");
$fileName = date("Ymd_H_i") . ".zip";
$archivo_zip = new PclZip($fileName);
$zip = new zip();
$cntzip = 1;

exec("rm *.zip");
$fec = date("Ymd_H_i");
exec("mkdir IMAGENES_CRUCE");
exec("chmod 777 IMAGENES_CRUCE");
exec("mkdir IMAGENES_CRUCE/" . $fec);
exec("chmod 777 IMAGENES_CRUCE/" . $fec);

if (file_exists($fileName)) {
    unlink($fileName);
}

$programa = 'carga_archivo_cruce.php';
$nombrepagina = "CRUCE DE REGISTROS POR ARCHIVO CSV";
$v_mysql = conn_mysql();
encabezado($target);
$user = $_SESSION['validar'];
$filas = 1;

if (file_exists('Plano_GuiasSinCruzar.csv')) {
    unlink('Plano_GuiasSinCruzar.csv');
}

if (file_exists('Plano_GuiasCruzadas.csv')) {
    unlink('Plano_GuiasCruzadas.csv');
}


$cadena = 'GUIA;DESTINATARIO;DIRECCION;IDENTIFICACION'.chr(13).chr(10);
$archivo = fopen('Plano_GuiasCruzadas.csv', "a+");
fwrite($archivo, $cadena);
fclose($archivo);



if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);
}
?>
<center>
    <FORM action="" method="POST" enctype="multipart/form-data">
        <table>
            <tr  class="miTable_tr">
                <th  class="miTable_th1" colspan="2">Cargar Archivo Plano</th>
            </tr>
            <tr class="miTable_tr">
                <td class="miTable_td">Seleccione Archivo: </td>
                <td class="miTable_td"><div align="left"><input type="file" name="archivo" class="inputbox"></div> </td>
            </tr>
            <tr class="miTable_tr">
                <td class="miTable_td">Ejemplo: </td>
                <td class="miTable_td"><div align="left">
                        Identificacion
                        <br>
                        52123456
                        <br>
                        79456123        
                    </div></td>
            </tr>
            <tr>
            <tr class="miTable_tr">           
                <td class="miTable_td">Campo Cruce:</td>           
                <td width="250" class="miTable_td"><select name="campo" class="inputbox" tabindex="1">
                        <option value="identificacion"><? echo $Tidentificacion ?></option>
                        <option value="guia"><? echo $Tguia ?></option>
                        <option value="empresa"><? echo $Tempresa ?></option>                                                        
                        <option value="telefono"><? echo $Ttelefono ?></option>
                        <option value="ciudad"><? echo $Tciudad ?></option>                            
                        <option value="orden"><? echo $Torden ?></option>
                        <?php
                        if (!empty($Cespecial1)) {
                            echo "<option value='especial1'>" . $Tespecial1 . "</option>";
                        }
                        if (!empty($Cespecial2)) {
                            echo "<option value='especial2'>" . $Tespecial2 . "</option>";
                        }
                        if (!empty($Cespecial3)) {
                            echo "<option value='especial3'>" . $Tespecial3 . "</option>";
                        }
                        if (!empty($Cespecial4)) {
                            echo "<option value='especial4'>" . $Tespecial4 . "</option>";
                        }
                        if (!empty($Cespecial5)) {
                            echo "<option value='especial5'>" . $Tespecial5 . "</option>";
                        }
                        if (!empty($Cespecial6)) {
                            echo "<option value='especial6'>" . $Tespecial6 . "</option>";
                        }
                        if (!empty($Cespecial7)) {
                            echo "<option value='especial7'>" . $Tespecial7 . "</option>";
                        }
                        if (!empty($Cespecial8)) {
                            echo "<option value='especial8'>" . $Tespecial8 . "</option>";
                        }
                        if (!empty($Cespecial9)) {
                            echo "<option value='especial9'>" . $Tespecial9 . "</option>";
                        }

                        if (!empty($Cespecial10)) {
                            echo "<option value='especial10'>" . $Tespecial10 . "</option>";
                        }
                        ?>
                    </select>      </td>
            </tr>    
            <tr class="miTable_tr">
                <td class="miTable_td">&nbsp;</td>
                <td class="miTable_td"><div align="left"><input type="submit" id="btplano" name="btplano" value="Cargar Archivo" class="inputbox" onClick="validarforma('archivo', '', 'R');
                        return document.MM_returnValue" class="inputbox"></div></td>
            </tr>   
            <tr  class="miTable_tr">
                <th  class="miTable_th1" colspan="2">&nbsp;</th>
            </tr>
        </table>
    </FORM>
</center>

<?php
if (isset($btplano)) {
    $db = new conexion();
    $db->conectarse();
    //$nom_campo = $_GET['campo'];
    $nom_campo = $campo;
    $nombre_archivo = $HTTP_POST_FILES['archivo']['name'];
    $tipo_archivo = $HTTP_POST_FILES['archivo']['type'];
    $tamano_archivo = $HTTP_POST_FILES['archivo']['size'];
    $tmp_archivo = $HTTP_POST_FILES['archivo']['tmp_name'];

    if (!strpos(strtolower($nombre_archivo), 'csv')) {
        echo "<b><center> No se puede continuar, el archivo seleccionado no es CSV.</center></b>";
        exit();
    }
    $cnt = 0;
    $row = 1;
    $cntreg = 0;
    $cntsin = 0;
    $conspl = '';
    $separador = '';
    $handle = fopen($tmp_archivo, "r");
    while ($data = fgetcsv($handle, 2048)) {
        $cnt++;
        $num = count($data);
        if ($cnt > 1) {
            for ($c = 0; $c <= 1; $c++) {
                if ($c == 0) {
                    $n_id = $data[$c];
                }
            }
             if(!empty($n_id)){   
            $rst = $db->consultar("SELECT GUIA,destinatario,direccion,identificacion,path FROM guias_proceso where $nom_campo='" . $n_id . "'");
            if (mysql_num_rows($rst) >= 1) {
                /////Si el registro existe se arma el archivo csv y se comprime la imagen.
                $cursor = mysql_fetch_array($rst);
                $v_nguia = trim($cursor['GUIA']);
                $v_ncampo = trim($cursor[$nom_campo]);
                $v_ruta = '..' . trim($cursor['path']);
                $nomfile = basename($v_ruta);
                $vdest = trim($cursor['destinatario']);
                $vdir = trim($cursor['direccion']);
                $viden = trim($cursor['identificacion']);
                $path2 = "IMAGENES_CRUCE/" . $fec . "/" . $nomfile;

                IF (file_exists($v_ruta)) {
                    copy($v_ruta, $path2);
                    //$zip->add_file($v_ruta, $nomfile); //También es posible agregar archivos


                    $cadena = trim($v_nguia) . ';' . $vdest . ';' . $vdir . ';' . $viden . chr(13) . chr(10);
                    $archivo = fopen('Plano_GuiasCruzadas.csv', "a+");
                    fwrite($archivo, $cadena);
                    fclose($archivo);
                    $cntreg++;
                } else {
                    $cadena = trim($n_id) . chr(13) . chr(10);
                    $archivo = fopen('Plano_GuiasSinCruzar.csv', "a+");
                    fwrite($archivo, $cadena);
                    fclose($archivo);
                    $cntsin++;
                }
            } else {
                $cadena = trim($n_id) . chr(13) . chr(10);
                $archivo = fopen('Plano_GuiasSinCruzar.csv', "a+");
                fwrite($archivo, $cadena);
                fclose($archivo);
                $cntsin++;
            }
             }
        }
    }
    //exec("zip -r ".$fec.".zip IMAGENES_CRUCE");

    $comprimido = $archivo_zip->Create("IMAGENES_CRUCE", PCLZIP_OPT_REMOVE_PATH, "IMAGENES_CRUCE");

    if ($comprimido == 0) {
        die('Ocurri&oacute; un error al generar el archivo comprimido');
    }

    exec("rm -r IMAGENES_CRUCE");
    fclose($handle);
//    $fd = fopen($fileName, "wb");
//    $out = fwrite($fd, $zip->file());
//    fclose($fd);





    if (file_exists('Plano_GuiasSinCruzar.csv')) {
        echo"<center><a title='Registros Sin Cruzar.' target='_blank' href='Plano_GuiasSinCruzar.csv'>Registros Sin Cruzar</a> <center>";
    }
    if ($cntsin > 0) {
        echo "<center>Guias Sin Cruzar: " . $cntsin . "</center>";
    }

    if (file_exists('Plano_GuiasCruzadas.csv')) {
        echo"<center><a title='Registros Cruzados.' target='_blank' href='Plano_GuiasCruzadas.csv'>Registros Cruzados</a> <center>";
    }
    if ($cntreg > 0) {
        echo "<center>Registros Cruzados: " . $cntreg . "</center>";
        echo "<center><a href=" . $fileName . ">Descargar Zip</a><br><center>";
    }
}
echo "<center><br><br><font face=Verdana size=1 color='#990000'>Solo se permite descargar un maximo de 2000 imagenes <br>Comprimidas dentro del archivo zip</font></center>";
mostrar_pie();
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
?>
<td>
<center>
    <?
    pie_de_pagina();
    ?>
</center>
</td>
<?php
echo"</tr>";
echo"</tbody></table>";
echo"</center>";
echo"</body>";
echo"</html>";
?>